curl --request DELETE \
--url 'https://api.usedatabrain.com/api/v2/datasource?datasourceName=production-postgres' \
--header 'Authorization: Bearer dbn_live_abc123...'
{
"id": "uuid-of-deleted-datasource",
"message": "Datasource deleted successfully"
}
curl --request DELETE \
--url 'https://api.usedatabrain.com/api/v2/datasource?datasourceName=production-postgres' \
--header 'Authorization: Bearer dbn_live_abc123...'
{
"id": "uuid-of-deleted-datasource",
"message": "Datasource deleted successfully"
}
Delete a datasource from your organization. This action cannot be undone and will remove all associated configurations.
curl --request DELETE \
--url 'https://api.usedatabrain.com/api/v2/datasource?datasourceName=production-postgres' \
--header 'Authorization: Bearer dbn_live_abc123...'
{
"id": "uuid-of-deleted-datasource",
"message": "Datasource deleted successfully"
}
curl --request DELETE \
--url 'https://api.usedatabrain.com/api/v2/datasource?datasourceName=production-postgres' \
--header 'Authorization: Bearer dbn_live_abc123...'
{
"id": "uuid-of-deleted-datasource",
"message": "Datasource deleted successfully"
}
DELETE https://api.usedatabrain.com/api/v2/datasource?datasourceName={name}
DELETE <SELF_HOSTED_URL>/api/v2/datasource?datasourceName={name}
Authorization: Bearer dbn_live_abc123...
Show Finding datasource names
| Error Code | HTTP Status | Description |
|---|---|---|
INVALID_REQUEST_BODY | 400 | Missing or invalid datasourceName parameter |
DATASOURCE_NAME_ERROR | 400 | Datasource not found |
DATASOURCE_IN_USE | 400 | Datasource is being used by other resources |
AUTHENTICATION_ERROR | 401 | Invalid or missing service token |
INTERNAL_SERVER_ERROR | 500 | Server error occurred |